Bug 976654 - [GSS](6.4.z) Slow startup of standalone ejb-clients if not all defined server-connections are available
[GSS](6.4.z) Slow startup of standalone ejb-clients if not all defined server...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.5
Assigned To: Enrique Gonzalez Martinez
Jan Martiska
:
Depends On:
Blocks: 1235745 1261014
  Show dependency treegraph
 
Reported: 2013-06-21 02:28 EDT by wfink
Modified: 2017-01-17 06:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker EJBCLIENT-82 Major Resolved Allow lazy connection creation for auto created connections in a EJBClientContext 2016-10-20 00:46 EDT

  None (edit)
Description wfink 2013-06-21 02:28:51 EDT
If a standalone client defines a couple of connections, nevertheless whether the approach use the jboss-ejb-client.properties, the JBoss EJBClientContext API or the scoped-context, all connections are established before the client business code continue.
This might take unnecessary long in some environments.
Reduce the connection timeout might not be an option, in that case it happen sporadical that the connection is not established due to latency.

There are two major use-cases:

- need to establish named connections
  i.e. defined remote.connections=one,two,three,four
       to start the business at minimum one and three are needed
- need to have at least one established connection

The initialization should be improved
- by having properties to allow such lazy named or unnamed initialisation
- by initialising all connections in parallel to reduce the wait time in total
Comment 2 JBoss JIRA Server 2013-08-14 07:24:39 EDT
jaikiran pai <jpai@redhat.com> made a comment on jira EJBCLIENT-82

A pull request containing an implementation for this has been issued. The pull request adds the feature where a user can configure a particular (or all) connection configurations to be marked as lazy (or eager).

By default, connections listed in the configuration will be created eagerly like before. However, users can use the following property style to mark a particular connection to be lazy:

{code}
     # This marks the connection named "connection-name" to be connected lazily
     remote.connection.<connection-name>.connect.eager=false
{code}

Furthermore, all connections listed can be defaulted to lazy by using:

{code}
     # All listed connection configurations will by default be lazily connected due to this property
    remote.connections.connect.eager=false
{code}

The *.connect.eager property accepts a value of either true or false.
Comment 4 Dimitris Andreadis 2013-10-24 14:28:54 EDT
Assigning jpai@redhat.com EJB issues to david.lloyd@redhat.com. Please re-assign to Cheng or others as needed.
Comment 5 Enrique Gonzalez Martinez 2015-09-08 04:42:29 EDT
backport to 1.0.x branch

https://github.com/jbossas/jboss-ejb-client/pull/125
Comment 6 Enrique Gonzalez Martinez 2015-09-08 08:31:59 EDT
PR merged in 1.0.x

https://github.com/jbossas/jboss-ejb-client/commit/75a882b32b8d9c3705c0e29ba5d32cfd25e4a00b
Comment 9 Jan Martiska 2015-11-02 08:28:38 EST
Verified with EAP 6.4.5.CR1.
Comment 10 Petr Penicka 2017-01-17 06:46:47 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 11 Petr Penicka 2017-01-17 06:46:51 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.